
QGIS Application - Bug report #2798

Resizing GUI panels causes multiple reloading of enabled layers (especially painful in case of WMS)

2010-06-12 01:10 AM - Ivan Mincik

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 12858

Description

1. Load some WMS layer.

2. Change width of 'Layers' panel (for example to more wider)

3. 'Layers' panel will start to resize in very small steps and WMS layer is reloading on each step

In some cases it can be better to kill QGIS and load project again, than to wait until resizing process will finish :)

Related issues:

Duplicated by QGIS Application - Bug report # 9087: Resizing log window cause... Closed 2013-11-19

Associated revisions

Revision 00f62361 - 2014-02-08 06:04 PM - Jürgen Fischer

map canvas: delay paint event 500ms on resize (fixes #2798)

History

#1 - 2011-03-22 11:35 PM - Ivan Mincik

Tested with current trunk version. It is still there.

#2 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#4 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2012-10-05 07:15 AM - Giovanni Manghi

- Operating System deleted (All)

- Pull Request or Patch supplied set to No

- Status info deleted (0)

- Assignee deleted (Jürgen Fischer)
Still confirmed on latest master.

#6 - 2013-11-19 04:50 AM - Borys Jurgiel

- Subject changed from Resizing Layers panel when WMS layer is on causes multiple reloading of WMS layer to Resizing GUI panels causes multiple 

reloading of loaded layers (especially painful in case of WMS)

- Category changed from Web Services clients/WMS to GUI

- Priority changed from Low to High

- Target version changed from Version 2.0.0 to Future Release - High Priority

#7 - 2013-11-19 04:52 AM - Borys Jurgiel

- Subject changed from Resizing GUI panels causes multiple reloading of loaded layers (especially painful in case of WMS) to Resizing GUI panels 

causes multiple reloading of enabled layers (especially painful in case of WMS)

#8 - 2014-02-08 09:05 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"00f623614a786364cb71232dbbcb3051c0d81581".
